=== debian/control ===
Source: ros-iron-control-toolbox
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-control-msgs, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle <!nocheck>, ros-iron-rcutils, ros-iron-realtime-tools, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/control_toolbox
Standards-Version: 3.9.2

Package: ros-iron-control-toolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-control-msgs, ros-iron-rclcpp, ros-iron-rcutils, ros-iron-realtime-tools, ros-iron-ros-workspace
Description: The control toolbox contains modules that are useful across all controllers.
